// Entwickler: Mylene, Anna & Elena
// Schulprojekt EasterHunt
// Programmiersprache: Processing
//


// 
//   Eier Bilder : https://opengameart.org/content/eggs
//   Extraherz Sound: https://opengameart.org/content/correct-bell
//   Spring & Schaden Sound : https://opengameart.org/content/battle-sound-effects
//   Eier einsammeln Sound : https://opengameart.org/content/gold-coin-6
//   Menü Hintergrund : https://opengameart.org/content/game-background-forest
//   Menü & Game Over Musik : https://opengameart.org/content/the-best-of-rga-gt-music-pack
//   Spielmusik: https://opengameart.org/content/banana-track
// 

/*****************
  Nützliche Processingseiten
    Modulo % https://processing.org/reference/modulo.html
    FrameCount (Anzahl an bildern) : https://processing.org/reference/frameCount.html
    KeyPressed() : https://processing.org/reference/keyPressed_.html
    keyPressed im draw() : https://processing.org/reference/keyPressed.html
    
    Verwendete Variablen: float, int, String, PImage, SoundFile, PFont, boolean
    Zeilen Code: ca. 350
******************/

//
// Grundprinzip / Aufteilung Code:
//
// void setup() {} -> Bilder, Sounds & Dateien etc. werden geladen
// void draw() {}
//    -> if state == 0 -> Menü wird gezeichnet + alle variablen von spielern etc. werden zurückgesetzt
//    -> if state == 1 -> Spiel, Sprungfunktion, Gegner Spieler werden angezeigt & verschoben, Hintergrund wird verschoben & angezeigt, Berührungen werden erkannt, Leben & Score werden angezeigt
//    -> if state == 2 -> Game Over -> Game Over Text mit Score wird angezeigt
//    -> if state == 3 -> Spielinformationen werden angezeigt
// void mousePressed() {} -> Ändert den State wenn man Rechtsklickt, falls man aktuell sich in einem menü befindet
// void keyPressed() {} -> Zeigt die Erklärung an, sobald 'a' gedrückt wird
//
